<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:paddingTop="@dimen/dp_25"
        android:paddingBottom="@dimen/dp_10"
        android:paddingStart="@dimen/dp_20"
        android:paddingEnd="@dimen/dp_20"
        android:background="@drawable/ui_shape_rect_fillet_white_5">

        <com.rengwuxian.materialedittext.MaterialEditText
            android:id="@+id/ed_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@null"
            android:hint="請輸入自定義金額"
            android:paddingLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10"
            android:singleLine="true"
            android:textColor="@color/normal_color"
            android:textColorHint="@color/hint_color"
            android:textSize="@dimen/sp_16"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:met_bottomTextSize="@dimen/sp_16"
            app:met_floatingLabelTextSize="@dimen/sp_16"
            app:met_autoValidate="true"
            app:met_baseColor="@color/theme_black"
            app:met_clearButton="true"
            app:met_floatingLabel="highlight"
            app:met_iconPadding="2dp"
            app:met_primaryColor="@color/theme_color"
            app:met_singleLineEllipsis="false"/>

<!--        <View-->
<!--            android:layout_width="1px"-->
<!--            android:layout_height="@dimen/dp_30"-->
<!--            android:background="@color/theme_light_blue"-->
<!--            app:layout_constraintStart_toStartOf="parent"-->
<!--            app:layout_constraintEnd_toEndOf="parent"-->
<!--            app:layout_constraintBottom_toBottomOf="parent"/>-->

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_sure"
            android:layout_width="@dimen/dp_70"
            android:layout_height="@dimen/dp_40"
            android:gravity="center"
            android:textSize="@dimen/sp_14"
            android:textColor="@color/theme_red_color"
            android:text="確認"
            android:layout_marginTop="@dimen/dp_10"
            app:layout_constraintTop_toBottomOf="@+id/ed_text"
            app:layout_constraintLeft_toLeftOf="@+id/ed_text"
            app:qmui_borderColor="@color/trans"
            app:qmui_radius="@dimen/dp_5" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_cancel"
            android:layout_width="@dimen/dp_70"
            android:layout_height="@dimen/dp_40"
            android:gravity="center"
            android:textSize="@dimen/sp_14"
            android:textColor="@color/theme_color"
            android:text="取消"
            android:layout_marginTop="@dimen/dp_10"
            app:layout_constraintTop_toBottomOf="@+id/ed_text"
            app:layout_constraintRight_toRightOf="@+id/ed_text"
            app:qmui_borderColor="@color/trans"
            app:qmui_radius="@dimen/dp_5" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.gingersoft.gsa.cloud.ui.widget.keyboard.VirtualKeyboardView
        android:id="@+id/virtualKeyboardView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom" />
</FrameLayout>